<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css" integrity="sha384-HSMxcRTRxnN+Bdg0JdbxYKrThecOKuH5zCYotlSAcp1+c8xmyTe9GYg1l9a69psu" crossorigin="anonymous">


<style>
.glyphicon {
    font-family: "Glyphicons Halflings" !important;
}
.footerHeading:before{
    top: 51px !important;
}

.emailinput{
    width: 215px !important;
}
</style>


<div class="artloader" ng-show="artloading">
        <div class="cssload-container" >
            <div class="cssload-tube-tunnel">
         <img src="assets/loadingart.gif" alt="loader" class="loaderimg" />
        </div>
        <div class="loadingdata"><p>Please Wait we are processing your action....</p></div>
        </div>
        </div>
        <div class="artloader" id="load" style="display:none">
            <div class="cssload-container">
                <div class="cssload-tube-tunnel">
                    <img src="assets/loadingart.gif" alt="loader" class="loaderimg" />
                </div>
                <div class="loadingdata"><p>Please Wait we are processing your action....</p></div>
            </div>
        </div>
<div class="main_container no-home">
    <!-- breadcrumb start -->
    <section class="breadcrumb-section flight-sec pt-0">
        <img src="assets/insurance/banner.jpg" class="bg-img img-fluid blur-up lazyload" alt="" />
        <div class="flight-details text-center  top">
            <p class="route col-xs-12 flight-count resize"><span></span> Travel Insurance
            </p>
            
                <p class="route col-xs-12"  ng-show="trip == 'Round trip'">{{Insurance.origin.split(',')[0]}} ({{InsuranceSearchRequest.origin}}) <span>&#8652;</span>{{Insurance.destination.split(',')[0]}} ({{InsuranceSearchRequest.destination}})
            </p>
            <p class="route col-xs-12" ng-show="trip=='One Way'">{{Insurance.origin.split(',')[0]}} ({{InsuranceSearchRequest.origin}}) <span>&#8594;</span>{{Insurance.destination.split(',')[0]}} ({{InsuranceSearchRequest.destination}})
            </p>

            <!-- <span ng-show="trip=='One Way'">&nbsp;One Way</span><span>&nbsp;|</span> -->
             <p ng-show="trip=='One Way'" class="col-xs-12 other-details">Travel : One Way | Onward : {{InsuranceSearchRequest.onwardDateTime}}</p>
            
            <p ng-hide="trip=='One Way'" class="col-xs-12 other-details">Travel : Round trip | Onward : {{InsuranceSearchRequest.onwardDateTime}} | Return : {{InsuranceSearchRequest.returnDateTime}}
            </p>
            <p class="other-details col-xs-12">
                Passengers : Adult-{{InsuranceSearchRequest.adultCount}}, Child-{{InsuranceSearchRequest.childCount}}, Infant-{{InsuranceSearchRequest.infantCount}}
            </p>
            <button type="submit" class="btn col-lg-4 col-lg-offset-4 col-md-4  col-md-offset-4 col-sm-6 col-sm-offset-3 col-xs-8 col-xs-offset-2 btn-lg refine-search custom-search-btn refineSearch">
                Modify Search
            </button>
        </div>
    </section>

    <div class="container-fluid flight-container">

        <div ng-include="'views/insurance/insurenceSearchdata.html'" class="refine"></div>
        <div class="row">
            <!-- <div class="col-md-12"> -->
                <div class="col-md-8 trav">
                    <div class="col-md-12  search-results-panel insurenceTravelPlans">
                        <div class="search-results-info-panel sc-u-grid-gutter-y mb-3">
                        <h2 class="sc-c-heading sc-c-heading--xl resize" >Travel Plans <span class="slection-option">(Select one plan)</span></h2>
                    </div>
                    <uib-accordion close-others="oneAtATime" class="insurance-list">
                        
                        <div uib-accordion-group class="panel-default panel-heading pl-0 pr-0" id="insurance-panel" is-open="status.isFirstOpen" is-disabled="false" ng-repeat="availablePlan in availablePlans track by $index">

                            <uib-accordion-heading id="planselections">
                                        <!-- <input type="radio" name="selectplans" id="selectplans" ng-click="availPlans($index);" /> -->
                                <div  class="plansection pl-3">
                                   
                                    <span class="avlplan" ng-bind="availablePlan.planTitle"></span>


                                    <!-- <div  class="avlsection">
                                        <div ng-show="availablePlan.totPremiumAmt - availablePlan.totalFare != '0'" class="avlsection">
                                            <span class="sc-c-price-block__amount priceamt1">
                                                &nbsp;&nbsp;<span class="ng-binding" >OMR
                                                    {{availablePlan.totPremiumAmt|number:2 }}</span>
                                            </span>

                                            <div id="hr" style="margin-top:9px;margin-left:-70px"></div><br />
                                            <div>
                                                &nbsp;&nbsp;<span class="promoSave">You Save OMR
                                                    {{(availablePlan.totPremiumAmt - availablePlan.totalFare)|number:2}}</span>
                                            </div>
                                        </div>

                                    </div> -->
                                    <span class="sc-c-price-block__amount priceamt2">
                                        &nbsp;&nbsp;<span class="fare" style="color: #d91718;"
                                            ng-bind="availablePlan.currencyCode"></span>&nbsp;
                                    <span class="fare" style="color: #d91718;font-size: 16px; margin-right: 15px;    margin-left: 9px;" ng-bind="availablePlan.totalFare.toFixed(2)"></span>


                                    <i style="color: #1976d2;" class="pull-right glyphicon" ng-class="{'glyphicon-chevron-down': status.isFirstOpen, 'glyphicon-chevron-right': !status.isFirstOpen}"></i>

                                    <!-- <span   class="ng-binding">OMR {{availablePlan.totalFare|number:2}}</span> -->
                                    </span>
                                </div>

                                <!-- <span class="fare"ng-bind="availablePlan.totalFare.toFixed(3)"></span> -->
                            </uib-accordion-heading>
                            <div class="row">

                                <label class="col" ng-click="availPlans($index);" >

                                    <div class="row pt-3">
                                        <div>
                                            <input type="radio" name="selectplans" id="selectplans_{{$index}}" />

                                        </div>


                                        <span style="padding-left: 40px;" ng-bind="renderHTMLFactory.setTitle(availablePlan.planTitle)"></span> &minus;
                                        <span class="fare" ng-bind="availablePlan.currencyCode"></span>&nbsp;<span class="fare" ng-bind="availablePlan.totalFare|number:2"></span><br />

                                    </div>
                                    <p class="pt-5" ng-bind-html="renderHTMLFactory.renderHTML(availablePlan.planContent)"></p>

                                </label>

                            </div>

                        </div>
                    </uib-accordion>
                </div>

                <div class="col-md-12 search-results-panel insurenceTravelPlans">
                    <div class="search-results-info-panel sc-u-grid-gutter-y mb-3">
                        <h3 class="sc-c-heading sc-c-heading--xl lifeplan">LifeStyle Plans <span class="slection-option">(Multiple Options)</span></h3>
                    </div>
                    <uib-accordion close-others="oneAtATime" class="insurance-list riderList">
                        <div uib-accordion-group class="panel-default panel-heading" is-open="status.isFirstOpen" is-disabled="status.isFirstDisabled" ng-repeat="riderPlan in riderPlans track by $index">
                            <uib-accordion-heading id="lifestyleelections">
                                <div style="display:flex ;justify-content: space-between;font-size: 16px;">
                                    <span style="color: #1976d2;" ng-bind="riderPlan.planTitle"></span>
                                    <!-- <span class="fare" ng-bind="riderPlan.currencyCode"></span>&nbsp;<span class="fare" ng-bind="riderPlan.totalFare.toFixed(3)"></span> -->

                                    <!-- <div ng-show="riderPlan.totPremiumAmt - riderPlan.totalFare != '0'" style="display:flex" class="accordin_content">
                                        <span class="sc-c-price-block__amount">
                                            &nbsp;&nbsp;<span class="ng-binding" style="font-size:17px">OMR
                                                {{riderPlan.totPremiumAmt|number:2 }}</span>
                                        </span>
                                        <div id="hr" style="margin-top:9px;margin-left:-70px"></div><br />
                                        <div>
                                            &nbsp;&nbsp;<span class="promoSave">You Save OMR
                                                {{(riderPlan.totPremiumAmt - riderPlan.totalFare)|number:2}}</span>
                                        </div>
                                    </div> -->
                                    <span class="sc-c-price-block__amount" style="font-size:17px;margin-left: 1%; color: #d91718;">
                                        &nbsp;&nbsp;<span class="fare" style="color: #d91718;"
                                            ng-bind="riderPlan.currencyCode"></span>&nbsp;
                                    <span style="margin-right: 12px;     margin-left: 9px;" class="fare" ng-bind="riderPlan.totalFare.toFixed(2)"></span>
                                    <!-- <span class="ng-binding">OMR {{availablePlan.totalFare|number:2}}</span> -->

                                    <i style="color: #1976d2;" class="pull-right glyphicon" ng-class="{'glyphicon-chevron-down': status.isFirstOpen, 'glyphicon-chevron-right': !status.isFirstOpen}"></i>

                                    </span>

                                </div>


                            </uib-accordion-heading>
                            <div class="row">
                               
                                <div class="col-md-12"  ng-click="ridersPlans($index);">

                                    <input type="checkbox" name="selectriders" id="selectriders_{{$index}}" />


                                    <span ng-bind="renderHTMLFactory.setTitle(riderPlan.planTitle)"></span> &minus;
                                    <span class="fare" ng-bind="riderPlan.currencyCode"></span>&nbsp;
                                    <span class="fare" ng-bind="riderPlan.totalFare|number:2"></span>
                                    <br />
                                    <p class="pt-3" ng-bind-html="renderHTMLFactory.renderHTML(riderPlan.planContent)">
                                    </p>
                                </div>


                            </div>


                        </div>
                        <br>

                    </uib-accordion>
                </div>



            </div>
            <div class="col-md-4 pr-0">
                <div class="sticky-cls">
                <div class="filter-sec  card-wd" id="filterSideBar">
                    <h4 class="filter-header">Fare Summary </h4>
                    <div class="review_box fs-12 fix-ht price-bold"  id="amenitiesfilter">
                        <p class="ft-sz" ng-show="trip == 'Round trip'">{{Insurance.origin.split(',')[0]}} <span>&#8652;</span>  {{Insurance.destination.split(',')[0]}} 
                        </p>
                        <p class="ft-sz" ng-show="trip=='One Way'">{{Insurance.origin.split(',')[0]}} <span>&#8594;</span> {{Insurance.destination.split(',')[0]}} 
                        </p>
                        <div class="priceBreak price-bold " >
                        <p class="ft-sz">No. of Passengers</p>
                        <p class="ft-sz">{{passengerCount}}</p>
                        </div>
                        <div class="priceBreak" ng-if="selectedAvailPlan">
                            <p  class="price-bold ft-sz">{{selectedAvailPlan.planTitle}}</p>
                            <p class="amountText ft-sz">AED {{selectedAvailPlan.totalFare | number : 2}}</p>
                            </div>
                        <div class="priceBreak ft-sz" ng-repeat="splan in selectedRaidPlan">
                        <p class="price-bold ft-sz">{{splan.planTitle}}</p>
                        <p class="amountText ft-sz">AED {{splan.totalFare | number : 2}}</p>
                        </div>

                    <hr class="filter-separator" ng-show="isdepthr"/>

                    </div>
                    <hr class="filter-separator" />

                    <div class="priceBreak grandTotal"><p class="">Grand Total </p><p class="amountText">AED {{grandTotal | number : 2}}</p>
                    </div>

                </div>
                <button type="button" class="btn btn-block btn-solid continue-book wd-95 mt" ng-click="onBook();">
                    Continue Booking
                </button>
                </div>
            </div>
            <div class="col-md-4 col-sm-4 col-md-offset-4 col-sm-offset-4 mb-5 pb-5">

            </div>
        </div>


    </div>


</div>






<style>
    .insurenceTravelPlans {
 
    padding-top: 17px !important;
}
    .panel-heading {
    padding: 10px 15px !important;
    border-bottom: 1px solid transparent !important;
    border-top-left-radius: 3px !important;
    border-top-right-radius: 3px !important;
}
.panel-default {
    border-color: #ddd !important;
}

    .ft-sz {
    font-size: 14px !important;
    }
    .grandTotal {
    font-size: 18px;
}
    .price-bold {
    font-weight: 600!important;
}
.ftr-mt-20{
margin-top: 20px !important;
}
.ftr-mt-10{
margin-top: 10px !important;
}

.ftr-mt-13{
    margin-top: -13px !important;
}
    .fix-ht{
        max-height: 200px;
        overflow: auto;
    }
    .fix-ht::-webkit-scrollbar {
  display: none;
}
.fs-12{
    font-size: 13px;
}
.amountText {
    color: #f44336;
    font-weight: bold;
}
    .priceBreak
    {
        display: flex;
    justify-content: space-between;
    font-weight: 500;
    }
.card-wd{
    width: 95%;
    margin-top: 80px;
}
.wd-95{
    width: 95% !important;
}

    .filter-sec.sticky-sidebar {
        position: fixed;
        top: 150px;
        left: 30px;
        width: calc(30% - 110px);
        bottom: 0;
        overflow: auto;
        margin-bottom: 10px;
    }

    @media (max-width:610px) {
        .resize {
            font-size: 25px !important;
        }
        .lifeplan {
            font-size: 20px !important;
        }
        .route {
            font-size: 15px !important;
        }
        /* .top {
            padding-top: 25px !important;
        } */
    }
    @media (max-width:768px) {
        .refine {
            padding-top: 15px !important;
        }
    }
    @media (min-width:768px)
    {
        .btsize
        {
            padding-left: 110px !important;
        }
    }
/*     
    @media (max-width:425px) {
        .trav {
            padding-top: 45px !important;
        }
    } */
    
    .card {
        border-radius: 0;
        border: 1px solid rgba(0, 0, 0, .225);
        margin-bottom: 7px;
    }
    
    .card-header {
        padding: .75rem 1.25rem !important;
        /* margin-bottom: !important; */
        background-color: white !important;
        border-bottom: 0px solid rgba(0, 0, 0, .125) !important;
    }
    
    [type="radio"]:checked,
    [type="radio"]:not(:checked) {
        position: absolute;
        left: 15px;
        margin-top: 0px;
    }
    .refineSearch{
        background: linear-gradient(#3cafdc, #3197bf) !important;
  border: 1px solid #4eb2da !important;
  font-family: "Montserrat", sans-serif;
  font-size: 13px !important;
  font-weight: 500 !important;
  color: #fff !important;
  margin-top: 9px !important;
  transition: all 0.5s ease;
        }
        .refineSearch:hover{
            color: #fff!important;
    transform: scale(1.1);
        }
        #insurance-panel{
    padding-top: 10px!important;
    padding-bottom: 15px!important;
}
  .panel-title{
        background-color: white !important;
    border-color: white !important;
    }
</style>
<!--   <script>

  $(document).ready(function() {
    $('[data-
    ="collapse"]').click(function() {
      let self = $(this), parent = self.closest('.panel'), panelCollapse = $('.panel-collapse', parent);
      if(!panelCollapse.hasClass('in')) {
        self.addClass('acc_btn_collapsed');
      } else {
        self.removeClass('acc_btn_collapsed');
      }
    })
  })

</script> -->

</div>